# Transactions

### Check Contract Execution Status

&#x20;if there was an error during contract execution.

```
GET https://testnetapi.metadium.com/v1/transactions/{transaction_haah}/transaction-status
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>transaction_hash</em></td><td><p>type: String</p><p>value: Transaction hash</p><p>required: true</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "data": {
            "status": "1"
        }
    }
}
```

{% endtab %}
{% endtabs %}

***

### Check Transaction Receipt Status

Only applicable for Post Byzantium fork transactions.

```
GET https://testnetapi.metadium.com/v1/transactions/{transaction_hash}/receipt-status
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>transaction_hash</em></td><td><p>type: String</p><p>value: Transaction hash</p><p>required: true</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "data": {
            "status": "1"
        }
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get 'Internal Transactions' by Transaction Hash <a href="#internal-transactions" id="internal-transactions"></a>

Returns Internal-Transaction list.

```
GET https://testnetapi.metadium.com/v1/transactions/{transaction_hash}/internal-transactions
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>transaction_hash</em></td><td><p>type: String</p><p>value: Transaction hash</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr><tr><td><em>input</em></td><td><p>type: Boolean</p><p>value: Include input data (true/false[Default])</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "43",
        "data": [
            {
                "timestamp": "2019-03-18T15:57:47Z",
                "sender": "0x15a4b8fbac1ac53c8c654b98a17e8798d483ed5c",
                "receiver": "0x87a5b7e7c5e0382cb01f0079f253ab6025ad5dd7",
                "value": "0",
                "status": "1",
                "message": null,
                "transaction_hash": "0xe024557fc818e74d101b74709d2d09cd60664ac1d77f34c1c28793e10dd5c09f",
                "block_number": "53",
                "contract_address": null,
                "trace_address": [
                    "0",
                    "1"
                ],
                "trace_type": "delegatecall",
                "sub_traces": null,
                "transaction_index": "0",
                "gas_used": "742060",
                "gas_limit": "9820641",
                "external_receiver": false
            },
            ...
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metadium.com/ko/api-reference/explorer-api/transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
